<?php
//include("pre-pagina");

//No hacemos nada si no está  todo correcto
if ($todo_correcto){
	
	$txt_nombre = dame_valor_variable_global("nombre", "");
	$txt_autor = dame_valor_variable_global("autor", "");
	$txt_editorial = dame_valor_variable_global("editorial", "");
	$txt_ean = dame_valor_variable_global("ean", "");
	$txt_check1 = dame_valor_variable_global("normal_envio", "");
	$txt_check2 = dame_valor_variable_global("pendiente_envio", "");
	$txt_check3 = dame_valor_variable_global("enviado_envio", "");
	$pagina = dame_valor_variable_global("pagina", "");
	$mod_estado = dame_valor_variable_global("mod_estado", "");
	//Si hay que modificar el estado de los artículos ejecutamos el siguiente código
	if ($mod_estado != ""){
		$lista_select = $_POST['select'];
		$lista_select = " ( " . implode(",", $lista_select) . " ) ";
		$insert_sql = "UPDATE articulo SET pendiente_envio = $mod_estado, fecha_envio = '00-00-0000' WHERE codigo IN $lista_select";
		mysqli_query($conexionBD, $insert_sql);
	}
	
?>
<script language="javascript1.5" type="text/javascript">
	//Detectamos el navegador
	var IE = document.all?true:false;
	//Variables para almacenar de forma temporal la posición del raton
	var tempX = 0;
	var tempY = 0;
	
	//Función que recibe los datos del libro y los mete en el bocadillo
	function componer_cadena(titulo, autor, editorial, tema, familia, coleccion, ean, pvp, foto){
		//console.log("pasa");
//		var cadena = '<div id="miniatura">';
		var cadena ='	<div class="contenido_miniatura">';
			cadena +='		<a href="javascript:$(' + "'#miniatura'" + ').hide();" class="cerrar"></a>';
			cadena +='		<div class="portada">';
			cadena +='			<img src="' + foto + '" alt="foto_portada" width="50" height="67" />';
			cadena +='		</div>';
			cadena +='		<div class="texto_libro">';
			cadena +='			<ul>';
			cadena +='				<li class="titulo_pre"><b>' + titulo + '</b></li>';
			cadena +='				<li><em>' + autor + '</em></li>';
			cadena +='				<li>' + editorial + '</li>';
			cadena +='				<li>' + tema + '</li>';
			cadena +='				<li><u>Familia:</u>' + familia + '</li>';
			cadena +='				<li><u>Colecci&oacute;n:</u>' + coleccion + '</li>';
			cadena +='				<li><u>EAN:</u> ' + ean + '</li>';
			cadena +='			<li class="precio_pre"><b>' + pvp + '&#8364;</b></li>';
			cadena +='			</ul>';
			cadena +='		</div>';
			cadena +='	</div>';
		//cadena +='</div>';
		//console.log($(".contenido_miniatura"));
		$("#miniatura").html(cadena);
		$('#miniatura').show(150);
		$('#miniatura').css("top",(tempY - $("#contenido_articulos").offset().top - 130) + "px");
		$('#miniatura').css("position", "absolute");
		//console.log(tempX, tempY, $('#miniatura').height() );
	}
	
	//control de movimiento el ratón
	if (!IE){
		document.captureEvents(Event.MOUSEMOVE);
	}
	document.onmousemove = getMouseXY;
	//Función a ejecutar cuando se mueva el ratón
	function getMouseXY(e){
		if(IE){
			tempX = event.clientX + document.body.scrollLeft;
			tempY = event.clientY + document.body.scrollTop;
		}else{
			tempX = e.pageX;
			tempY = e.pageY;
		}
		if (tempX < 0){
			tempX = 0;
		}
		if (tempY < 0){
			tempY = 0;
		}
		return(true);
	}
	
	function marca_pendientes(valor){
		$("#modifica_estado").val(valor);
		$(".check_opcion").submit();
	}
	
	$(document).ready(function(){
		$('.checks_tabla').click(function () {
			//console.log($(this).val());
			codigo_arti = $(this).val();
			clase = "ficha-articulo";
			if ($(this).is(':checked')){
				//Está marcado, cambiamos la clase a ficha artículo2
				clase += "2";
			}
			$("#articulo" + codigo_arti).attr("class", clase);
		});
		$(".check_all").click(function(event){
			if(! $(".checks_tabla").is(":checked")) {
				$(".checks_tabla:checkbox:not(:checked)").parent().parent().attr("class", "ficha-articulo2");
				$(".checks_tabla:checkbox:not(:checked)").attr("checked", "checked");
			}else{
				$(".checks_tabla:checkbox:checked").parent().parent().attr("class", "ficha-articulo");
				$(".checks_tabla:checkbox:checked").removeAttr("checked");
			}
		});
	});

</script>
</head>
<body>
    <div id="opciones_top">
        <div id="volver"><p><a href="<?=Shop::$configuracion->url;?>admin" class="back_btn"><span>Volver</span></a></p></div>
    </div>
    <div id="contenido_articulos">
        <h1>Lista de articulos</h1>
        <div id="filtro">
            <form action="<?=Shop::$configuracion->url;?>admin/articulos.php" method="post" class="formulario">
                <fieldset class="left">
                    <label class="titulo">T&iacute;tulo</label>
                    <input name="nombre" type="text" value="<?=$txt_nombre;?>" class="text_form" />
                    <label class="titulo">Autor</label>
                    <input name="autor" type="text" value="<?=$txt_autor;?>" class="text_form" />
                    <label class="titulo">Editorial</label>
                    <input name="editorial" type="text" value="<?=$txt_editorial;?>" class="text_form" />
                    <label class="titulo"> ISBN/EAN</label>
                    <input name="ean" type="text" value="<?=$txt_ean;?>" class="text_form" />
                </fieldset>
                <fieldset class="right">
<?php
	//Si no hemos realizado búsqueda, los check hay que marcarlos
	if (! $busqueda_realizada){
		$txt_check1 = 'checked="checked"';
		$txt_check2 = 'checked="checked"';
		$txt_checks1 = "ON";
		$txt_checks2 = "ON";
	}else{
		if ($txt_checks1 != ""){
			$txt_check1 = 'checked="checked"';
		}
		if ($txt_checks2 != ""){
			$txt_check2 = 'checked="checked"';
		}
		if ($txt_checks3 != ""){
			$txt_check3 = 'checked="checked"';
		}
	}
	//Vamos a componer el enlace para la paginación
	$enlace = Shop::$configuracion->url . "admin/articulos.php?busqueda=true";
	//vamos a ir añadiendo las opciones
	if ($txt_nombre != ""){
		$enlace .= "&nombre=" . $txt_nombre;
	}
	if ($txt_autor != ""){
		$enlace .= "&autor=" . $txt_autor;
	}
	if ($txt_editorial != ""){
		$enlace .= "&editorial=" . $txt_editorial;
	}
	if ($ean != ""){
		$enlace .= "&ean=" . $ean;
	}
	if ($txt_checks1 != ""){
		$enlace .= "&normal_envio=ON";
	}
	if ($txt_checks2 != ""){
		$enlace .= "&pendiente_envio=ON";
	}
	if ($txt_checks3 != ""){
		$enlace .= "&enviado_envio=ON";
	}
?>
						<label>Opciones:</label> <br/>
						<input name="normal_envio" type="checkbox" value="Sin revisar" <?=$txt_check1;?>/>
						<img src="<?=Shop::$configuracion->url;?>admin/images/Green.png" width="14" height="14" alt="normal" /><label class="right_op"> Sin revisar</label>
						<input name="pendiente_envio" type="checkbox" value="Pendiente" <?=$txt_check2;?>/>
						<img src="<?=Shop::$configuracion->url;?>admin/images/Yellow.png" width="14" height="14" alt="pendiente" /><label class="right_op"> Pendiente</label>
						<input name="enviado_envio" type="checkbox" value="Enviado" <?=$txt_check3;?>/>
						<img src="<?=Shop::$configuracion->url;?>admin/images/Red.png" width="14" height="14" alt="enviado" /><label class="right_op"> Enviado</label>
					</fieldset>
					<fieldset class="btn_envio">
						<input type="submit" class="art-button" value="Hacer b&uacute;squeda"/>
					</fieldset>
					<input name="busqueda" type="hidden" value="true" />
				</form>
			</div>
			<div id="izq">
<?php
//				<a href="javascript:pregunta_envia_emails();">Enviar <span></span></a>
?>
				<a href="<?=Shop::$configuracion->url;?>admin/envio.php">Enviar art&iacute;culos pendientes<span></span></a>
			</div> 

			<div id="leyenda_parrafo">
				<p><span>*</span>Para marcar o desmarcar un producto active la casilla de la izquierda y despu&eacute;s el bot&oacute;n correspondiente</p>
			</div><!--fin de la leyenda-->

<?php
	//Voy a almacenar las variables porque más adelante las he reciclado y ahora necesito su estado "limpio"
	$txt_nombreA = $txt_nombre;
	$txt_autorA = $txt_autor;
	$txt_editorialA = $txt_editorial;
	$txt_eanA = $txt_ean;
	$txt_checks1A = $txt_checks1;
	$txt_checks2A = $txt_checks2;
	$txt_checks3A = $txt_checks3;
	//Vamos a componer la select de los artículos
	$sentencia_sql = "SELECT articulo.codigo codigo_arti, articulo.nombre nombre_arti, articulo.autor autor_arti, articulo.pendiente_envio arti_pte,
	 						DATE_FORMAT(articulo.fecha_alta, '%d/%m/%Y') fecha_alta, DATE_FORMAT(articulo.fecha_envio, '%d/%m/%Y') fecha_envio,
							articulo.editorial editorial_arti, articulo.ean ean_arti, articulo.pvp pvp_arti, articulo.coleccion coleccion_arti,
							tema.nombre nombre_tema, familia.nombre nombre_familia
						FROM ( (articulo LEFT JOIN tema ON articulo.tema = tema.codigo)
						LEFT JOIN familia ON articulo.familia = familia.codigo)";
	//echo($sentencia_sql);
	//Empezamos con las condiciones
	//Si hay ean nos olvidamos de las dem&aacute;s
	if ($ean != ""){
		//Los ean pueden venir separados por |
		$ean = str_replace(" ", "", $ean);
		$ean = " WHERE ean = '" . str_replace("|", "' OR ean = '", $ean) . "' ";
		$condicion = $ean;
	}else{
		$condicion = "";
		if ($txt_nombre != ""){
			$txt_nombre = " WHERE (articulo.nombre LIKE '%" . str_replace("|", "%' OR articulo.nombre LIKE '%", $txt_nombre) . "%') ";
			$condicion = $txt_nombre;
		}
		if ($txt_editorial != ""){
			$txt_editorial = " (articulo.editorial LIKE '%" . str_replace("|", "%' OR articulo.editorial LIKE '%", $txt_editorial) . "%') ";
			//Si ya hay condición, lo metemos con un AND, si no, con un where
			if ($condicion != ""){
				$condicion .= " AND " . $txt_editorial;
			}else{
				$condicion = " WHERE " . $txt_editorial;
			}
		}
		if ($txt_autor != ""){
			$txt_autor = " (articulo.autor LIKE '%" . str_replace("|", "%' OR articulo.autor LIKE '%", $txt_autor) . "%') ";
			//Si ya hay condición, lo metemos con un AND, si no, con un where
			if ($condicion != ""){
				$condicion .= " AND " . $txt_autor;
			}else{
				$condicion = " WHERE " . $txt_autor;
			}
		}
	}
	$condiciones_check = "";
	if($txt_checks1 != ""){
		//Filtrado normal, vamos a sacar todos los no enviados
		$condiciones_check = " ( articulo.pendiente_envio = 0 )";
	}
	if($txt_checks2 != ""){
		//Filtrado normal, vamos a sacar todos los no enviados
		if ($condiciones_check != ""){
			$condiciones_check .= " OR ";
		}
		$condiciones_check .= " ( articulo.pendiente_envio = 1 )";
	}
	if($txt_checks3 != ""){
		//Filtrado normal, vamos a sacar todos los no enviados
		if ($condiciones_check != ""){
			$condiciones_check .= " OR ";
		}
		$condiciones_check .= " ( articulo.fecha_envio != 0 ) ";
	}
	//Lo pendiente es Si o no, así que siempre se añade esta condicion
	if ( $condiciones_check != ""){
		if ($condicion != ""){
			$condicion .= " AND ";
		}else{
			$condicion .= " WHERE ";
		}
		$condicion .= " ( " . $condiciones_check . " ) ";
	}
	//Añadimos la condición a la sentencia sql
	$sentencia_sql .= $condicion . " AND articulo.no_web = 0 ";
	//tenemos que añadir el orden
	$sentencia_sql .= "	ORDER BY fecha_creacion_web DESC";
	//Tenemos que añadir el límite
	//$sentencia_sql .= "	LIMIT 0, 150";
	//echo($sentencia_sql);
	//Vamos a contar cuantos elementos hay
	$total_elementos = 0;
	if ($conexionBD){
		//Voy  acontar cuantos hay
		if ($resultado = mysqli_query($conexionBD, "SELECT COUNT( * ) FROM ($sentencia_sql) counsulta")){
			//echo("SELECT COUNT(*) FROM $sentencia_sql\n<br />");
			if ($fila = mysqli_fetch_array($resultado)){
				$total_elementos = $fila[0];
			}
		}
	}
?>
		<div class="botones_seleccion">
			<a href="javascript:marca_pendientes(true);" title="Marcar para enviar">Marcar para enviar</a>
			<a href="javascript:marca_pendientes(false);" title="Desmarcar">Desmarcar</a>
		</div>
		<div id="paginador_arriba">
<?php
			$separador = "/";
			$limite = 4;
			include("comunes/paginador.php");
?>
		</div>
			<form method="post" class="check_opcion" action="<?=Shop::$configuracion->url;?>admin/articulos.php">
				<input name="mod_estado" type="hidden" value="" id="modifica_estado" />
				<input name="nombre" type="hidden" value="<?=$txt_nombreA;?>" class="text_form" />
				<input name="autor" type="hidden" value="<?=$txt_autorA;?>" class="text_form" />
				<input name="editorial" type="hidden" value="<?=$txt_editorialA;?>" class="text_form" />
				<input name="ean" type="hidden" value="<?=$txt_eanA;?>" class="text_form" />
				<input name="normal_envio" type="hidden" value="<?=$txt_checks1A;?>"/>
				<input name="pendiente_envio" type="hidden" value="<?=$txt_checks2A;?>"/>
				<input name="enviado_envio" type="hidden" value="<?=$txt_checks3A;?>"/>
				<input name="busqueda" type="hidden" value="true" />
				<input name="pagina" type="hidden" value="<?=$pagina;?>" />
			<table summary="tabla de los articulos actuales" class="tabla_articulos">
				<thead>
					<tr class="articulos_linea">
						<th class="vacio">
							<a href="javascript:void(0);" title="seleccionar todos" class="check_all"></a>
						</th>
						<th class="titulo"><a href="javascript:void( 0 );">T&iacute;tulo</a></th>
						<th class="autor"><a href="javascript:void( 0 );">Autor</a></th>
						<th class="editorial"><a href="javascript:void( 0 );">Editorial</a></th>
						<th class="tema"><a href="javascript:void( 0 );">Tema</a></th>
						<th class="coleccion"><a href="javascript:void( 0 );">Colecci&oacute;n</a></th>
						<th class="familia"><a href="javascript:void( 0 );">Familia</a></th>
						<th class="fecha_alta"><a href="javascript:void( 0 );">Alta</a></th>
						<th class="fecha_ult_envio"><a href="javascript:void( 0 );">Ult.env&iacute;o</a></th>
						<th class="vacio">&nbsp;</th>
					</tr>
				</thead>
				<tbody>
<?php
	if ($conexionBD){
		//Voy a contar cuantos hay
		$sentencia_sql .= " LIMIT " . $pagina * 150 . ", 150";
		if ($resultado = mysqli_query($conexionBD, $sentencia_sql)){
			//echo("SELECT COUNT(*) FROM $sentencia_sql\n<br />");
			while($fila = mysqli_fetch_array($resultado)){
				$fila['nombre_arti'] = str_replace("'", "`", $fila['nombre_arti']);
				$fila['nombre_arti'] = str_replace('"', "`", $fila['nombre_arti']);
				//Si falta alguno de los datos, lo rellenamos con guiones
				if ($fila['nombre_arti'] == ""){
					$fila['nombre_arti'] = "-----";
				}
				if ($fila['autor_arti'] == ""){
					$fila['autor_arti'] = "-----";
				}
				if ($fila['editorial_arti'] == ""){
					$fila['editorial_arti'] = "-----";
				}
				if ($fila['coleccion_arti'] == ""){
					$fila['coleccion_arti'] = "-----";
				}
				if ($fila['familia_arti'] == ""){
					$fila['familia_arti'] = "-----";
				}
				if ($fila['tema_arti'] == ""){
					$fila['tema_arti'] = "-----";
				}
				//Vamos a comprobar si el producto tiene o no tiene foto
				$foto = 'images/nofoto1.jpg';
				if (file_exists('../portadas/miniaturas/' . $fila["codigo_arti"] . '.jpg')){
					$foto = '../portadas/miniaturas/' . $fila["codigo_arti"] . '.jpg';
				}
?>
					<tr class="ficha-articulo" id="articulo<?=$fila['codigo_arti'];?>">
						<td class="seleccionar">
								<input name="select[]" type="checkbox" value="<?=$fila['codigo_arti'];?>" class="checks_tabla"/>
						</td>
						<td class="titulo_libro" id="titulo1">
							<a href="javascript:void( 0 );" onClick="javascript:componer_cadena('<?=$fila['nombre_arti'];?>', '<?=$fila['autor_arti'];?>', '<?=$fila['editorial_arti'];?>', '<?=$fila['tema_arti'];?>', '<?=$fila['coleccion_arti'];?>', '<?=$fila['familia_arti'];?>', '<?=$fila['ean_arti'];?>', '<?=number_format($fila['pvp_arti'], 2, ",", ".");?>', '<?=$foto;?>' );"><img src="images/message-a-2.png" width="15" height="15" /></a>
							<div><?=substr($fila['nombre_arti'], 0, 19);?></div>
						</td>
						<td class="autor_libro"><div><?=substr($fila['autor_arti'], 0, 17);?></div></td>
						<td class="editorial_libro"><?=substr($fila['editorial_arti'], 0, 15);?></td>
						<td class="tema_libro"><?=substr($fila['tema_arti'], 0, 17);?></td>
						<td class="coleccion_libro"><?=substr($fila['coleccion_arti'], 0, 15);?></td>
						<td class="familia_libro"><?=substr($fila['familia_arti'], 0, 17);?></td>
						<td class="fechas_libro"><span><?=$fila['fecha_alta'];?></span></td>
						<td class="fechas_ultenvio"><span><?=$fila['fecha_envio'];?></span></td>
						<td class="icon_envio">
							<div class="color">
<?php
					//Vamos a tener en cuenta el color
					$ruta_color = Shop::$configuracion->url . "admin/images/Green.png";
					$tipo = "Normal";
					if ($fila['arti_pte'] == 1){
						$ruta_color = Shop::$configuracion->url . "admin/images/Yellow.png";
						$tipo = "Pendiente";
					}
					if ($fila['fecha_envio'] != "00/00/0000" && $fila['arti_pte'] == 0){
						$ruta_color = Shop::$configuracion->url . "admin/images/Red.png";
						$tipo = "Enviado";
					}
?>
								<a href="javascript:void( 0 );" title="estado"><img src="<?=$ruta_color;?>" width="14" height="14" alt="<?=$tipo;?>" title="<?=$tipo;?>" /></a>
							</div>
						</td>
					</tr>
<?php
			}
		}
	}
?>
				</tbody>
				<tfoot>
					<tr class="foot_tabla">
						<td>&nbsp;</td>
						<td colspan="8" class="pie_tabla"></td>
					</tr>
				</tfoot>
			</table>
			</form>
			<div id="paginador">
				<p>
<?php
					$separador = "|";
					$limite = 8;
					include("comunes/paginador.php");
?>
				</p>
        </div>
        <div class="botones_seleccion">
            <a href="javascript:marca_pendientes(true);" title="Marcar para enviar">Marcar para enviar</a>
            <a href="javascript:marca_pendientes(false);" title="Desmarcar">Desmarcar</a>
        </div>
        <div id="miniatura">
            <div class="contenido_miniatura">
                <a href="javascript:$('#miniatura').hide();" class="cerrar"></a>
                <div class="portada">
                    <img src="images/nofoto1.jpg" alt="foto_portada" width="50" height="67" />
                </div>
                <div class="texto_libro">
                    <ul>
                        <li class="titulo_pre"><b></b></li>
                        <li><em></em></li>
                        <li></li>
                        <li></li>
                        <li><u>Familia:</u></li>
                        <li><u>Colecci&oacute;n:</u></li>
                        <li><u>EAN:</u></li>
                        <li class="precio_pre"><b></b></li>
                    </ul>
                </div>
            </div>
        </div><!--fin minuatura-->
        <script type="text/javascript" language="javascript1.5">
            //Oculto la miniatura
            $("#miniatura").hide();
        </script>
	</div><!-- /fin del cuerpo del articulo -->
</body>
</html>
<?php
}
//include("post-pagina.php");
?>
